#include <QDir>
#include <QDebug>

#include "cleanser.h"
#include "utils.h"

Cleanser::Cleanser(Settings *settings, QObject *parent) :
    QObject(parent)
{
    this->settings = settings;
    m_etagDir.setPath(QDir::homePath() + "/.linutop-kiosk/etag");
    m_cacheDir.setPath(QDir::homePath() + "/.linutop-kiosk/data");

}

void Cleanser::clean()
{
    Q_FOREACH (QString file, m_toClean) {
        if ((file == ".") || (file == ".."))
            continue;
        qDebug() << "Deleting" << file;
        QFile::remove(m_etagDir.path() + "/" + file);
        QFile::remove(m_cacheDir.path() + "/" + file);
    }
}

void Cleanser::check()
{
    qlonglong available = Utils::availableDiskSpace();
    qlonglong total = Utils::totalDiskSpace();
    if (available < (0.1 * total))
    {
        qDebug() << "Size cleansing";
        m_toClean = m_etagDir.entryList();
    }
    clean();
}
