#include <QPixmap>
#include <QRect>
#include <QPalette>
#include <QDesktopWidget>
#include <settings.h>
#include <QMouseEvent>
#include <QtGui>


#include "gif.h"

Gif::Gif(PlaylistItem *item, QWidget *parent)
    : QLabel(parent)
    , Runnable(item->time())
{
    m_uri = item->uri();
    setBlackBackground();
    setAlignment(Qt::AlignCenter);
    setScaledContents(true);
    displayGif();
}

void Gif::setBlackBackground(void)
{
    QPalette p;
    p.setColor(QPalette::Background, Qt::black);
    QLabel::setAutoFillBackground(true);
    QLabel::setPalette(p);
}

void Gif::displayGif(void)
{
    movie = new QMovie(m_uri.mid(7));
    setMovie(movie);
}

bool Gif::startImpl(void)
{
    movie->start();
    return true;
}

bool Gif::stopImpl(void)
{
    movie->stop();
    delete movie;
    return true;
}

bool Gif::onTimeoutImpl(void)
{
    movie->stop();
    Q_EMIT end();
    return true;
}

void Gif::pauseImpl(void) {}


void Gif::resumeImpl(void) {}

void Gif::mousePressEvent(QMouseEvent* event)
{
    if (event->button() == Qt::RightButton)
        Q_EMIT rightclick();
}
