#ifndef IMAGE_H
#define IMAGE_H

#include <QTimer>
#include <QWidget>
#include <QLabel>
#include <QProcess>

#include "runnable.h"
#include "playlistitem.h"

class Image : public QLabel, public Runnable
{
    Q_OBJECT

public:
    Image(PlaylistItem *item, QWidget *parent);


private:
    bool startImpl(void);
    bool stopImpl(void);
    bool onTimeoutImpl(void);
    void pauseImpl(void);
    void resumeImpl(void);

    void setBlackBackground();
    void buildPixmap();
    void displayGif(void);
    void mousePressEvent(QMouseEvent*);

    QString m_uri;
    QString m_time;
    QMovie *movie;

    QPixmap pixmap;


    float p_w, p_h;
    bool m_gif;

Q_SIGNALS:
    void end();
    void rightclick();
};

#endif
