#include <QFileDialog>
#include <QDebug>

#include "addplaylistitem.h"

AddPlaylistItemDialog::AddPlaylistItemDialog(int time, QWidget *parent)
    : QDialog(parent)
{
    ui.setupUi(this);

    ui.timeSpin->setValue(time);

    connect(ui.fileBtn, SIGNAL(clicked()), this, SLOT(onFileSelected()));
}

void AddPlaylistItemDialog::onFileSelected()
{
    QString path = QFileDialog::getOpenFileName(this, "Open a File");
    if (! path.isEmpty())
        ui.uriEdit->setText(QString("file://%1").arg(path));
}

void AddPlaylistItemDialog::on_folderBtn_clicked()
{
    QString path = QFileDialog::getExistingDirectory(this, "Open a Folder");
    qDebug() << path;
    if (!path.isEmpty())
    {
        if(path.contains("smb:"))
        {
            int idx = path.indexOf("smb:");
            QString pth = path.mid(idx);
            pth.insert(4,"/");
            ui.uriEdit->setText(pth);
            qDebug() << pth;
        }
        else
            ui.uriEdit->setText(QString("file://%1").arg(path));
    }
}
